<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchEvaluation: SemanticSearchEvaluation.ApproachComparison Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchEvaluation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_evaluation.html">SemanticSearchEvaluation</a></li><li class="navelem"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison.html">ApproachComparison</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a> &#124;
<a href="class_semantic_search_evaluation_1_1_approach_comparison-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchEvaluation.ApproachComparison Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains all functions for the evaluation of the search approaches and further elasticsearch tests.  
 <a href="class_semantic_search_evaluation_1_1_approach_comparison.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison_1_1_elasticsearch_evaluation.html">ElasticsearchEvaluation</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Functions for Elasticsearch <a class="el" href="class_semantic_search_evaluation_1_1_evaluation.html" title="Entry class which interprets the command line arguments and calls corresponding functions.">Evaluation</a>.  <a href="class_semantic_search_evaluation_1_1_approach_comparison_1_1_elasticsearch_evaluation.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ae5eadf24b4cf5fa7a8c6ea0196397b0c"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison.html#ae5eadf24b4cf5fa7a8c6ea0196397b0c">RunAllApproaches</a> (bool small=true)</td></tr>
<tr class="memdesc:ae5eadf24b4cf5fa7a8c6ea0196397b0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Runs the tests for all evaluated search approaches.  <a href="class_semantic_search_evaluation_1_1_approach_comparison.html#ae5eadf24b4cf5fa7a8c6ea0196397b0c">More...</a><br /></td></tr>
<tr class="separator:ae5eadf24b4cf5fa7a8c6ea0196397b0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0aad4979e2e91d45b8edf2509ae0162b"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison.html#a0aad4979e2e91d45b8edf2509ae0162b">RunEmpty</a> ()</td></tr>
<tr class="separator:a0aad4979e2e91d45b8edf2509ae0162b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a2d24c83a5a22d9be78878aa89d512b09"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison.html#a2d24c83a5a22d9be78878aa89d512b09">MeasureTime</a> (<a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html">SearchApproach</a> approach, string name=&quot;small&quot;)</td></tr>
<tr class="memdesc:a2d24c83a5a22d9be78878aa89d512b09"><td class="mdescLeft">&#160;</td><td class="mdescRight">Runs and prints the calculated times for all search intentions.  <a href="class_semantic_search_evaluation_1_1_approach_comparison.html#a2d24c83a5a22d9be78878aa89d512b09">More...</a><br /></td></tr>
<tr class="separator:a2d24c83a5a22d9be78878aa89d512b09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a344bd40cd578d77fa2af6e3863783f34"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison.html#a344bd40cd578d77fa2af6e3863783f34">CalcValues</a> (StreamWriter file, List&lt; long &gt; times)</td></tr>
<tr class="memdesc:a344bd40cd578d77fa2af6e3863783f34"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calcutlates average time, max and standard deviation.  <a href="class_semantic_search_evaluation_1_1_approach_comparison.html#a344bd40cd578d77fa2af6e3863783f34">More...</a><br /></td></tr>
<tr class="separator:a344bd40cd578d77fa2af6e3863783f34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fbecd445c3786ddf8bd6d62f0c39941"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison.html#a9fbecd445c3786ddf8bd6d62f0c39941">PrintResults</a> (<a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html">SearchApproach</a> approach, string size=&quot;small&quot;)</td></tr>
<tr class="memdesc:a9fbecd445c3786ddf8bd6d62f0c39941"><td class="mdescLeft">&#160;</td><td class="mdescRight">Runs and prints the results for all search intentions.  <a href="class_semantic_search_evaluation_1_1_approach_comparison.html#a9fbecd445c3786ddf8bd6d62f0c39941">More...</a><br /></td></tr>
<tr class="separator:a9fbecd445c3786ddf8bd6d62f0c39941"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:affd151f300a69d82b936ef440eabe0c5"><td class="memItemLeft" align="right" valign="top">static readonly string[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison.html#affd151f300a69d82b936ef440eabe0c5">intentions</a></td></tr>
<tr class="separator:affd151f300a69d82b936ef440eabe0c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0374147c5e05d8ac0b4b4a8009c6bf3"><td class="memItemLeft" align="right" valign="top">static readonly <a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html">VirtuosoConnector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison.html#af0374147c5e05d8ac0b4b4a8009c6bf3">connector</a> = new <a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html">VirtuosoConnector</a>()</td></tr>
<tr class="separator:af0374147c5e05d8ac0b4b4a8009c6bf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains all functions for the evaluation of the search approaches and further elasticsearch tests. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a344bd40cd578d77fa2af6e3863783f34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a344bd40cd578d77fa2af6e3863783f34">&#9670;&nbsp;</a></span>CalcValues()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SemanticSearchEvaluation.ApproachComparison.CalcValues </td>
          <td>(</td>
          <td class="paramtype">StreamWriter&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">List&lt; long &gt;&#160;</td>
          <td class="paramname"><em>times</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Calcutlates average time, max and standard deviation. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">file</td><td><code>StreamWriter</code> where to write results.</td></tr>
    <tr><td class="paramname">times</td><td>List of calculated times.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2d24c83a5a22d9be78878aa89d512b09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d24c83a5a22d9be78878aa89d512b09">&#9670;&nbsp;</a></span>MeasureTime()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SemanticSearchEvaluation.ApproachComparison.MeasureTime </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html">SearchApproach</a>&#160;</td>
          <td class="paramname"><em>approach</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em> = <code>&quot;small&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Runs and prints the calculated times for all search intentions. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">approach</td><td>Search approach which is evaluated.</td></tr>
    <tr><td class="paramname">name</td><td>Specifies if the small or large data record is used.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a9fbecd445c3786ddf8bd6d62f0c39941"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fbecd445c3786ddf8bd6d62f0c39941">&#9670;&nbsp;</a></span>PrintResults()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SemanticSearchEvaluation.ApproachComparison.PrintResults </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html">SearchApproach</a>&#160;</td>
          <td class="paramname"><em>approach</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>size</em> = <code>&quot;small&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Runs and prints the results for all search intentions. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">approach</td><td>Search approach which is evaluated.</td></tr>
    <tr><td class="paramname">size</td><td>Specifies if the small or large data record is used.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae5eadf24b4cf5fa7a8c6ea0196397b0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5eadf24b4cf5fa7a8c6ea0196397b0c">&#9670;&nbsp;</a></span>RunAllApproaches()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SemanticSearchEvaluation.ApproachComparison.RunAllApproaches </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>small</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Runs the tests for all evaluated search approaches. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">small</td><td>Specifies if the small or large data record is used.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0aad4979e2e91d45b8edf2509ae0162b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0aad4979e2e91d45b8edf2509ae0162b">&#9670;&nbsp;</a></span>RunEmpty()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SemanticSearchEvaluation.ApproachComparison.RunEmpty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="af0374147c5e05d8ac0b4b4a8009c6bf3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0374147c5e05d8ac0b4b4a8009c6bf3">&#9670;&nbsp;</a></span>connector</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly <a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html">VirtuosoConnector</a> SemanticSearchEvaluation.ApproachComparison.connector = new <a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html">VirtuosoConnector</a>()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="affd151f300a69d82b936ef440eabe0c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affd151f300a69d82b936ef440eabe0c5">&#9670;&nbsp;</a></span>intentions</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly string [] SemanticSearchEvaluation.ApproachComparison.intentions</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= <span class="keyword">new</span> <span class="keywordtype">string</span>[] {</div>
<div class="line">            <span class="stringliteral">&quot;Published at IT Center&quot;</span>,</div>
<div class="line">            <span class="stringliteral">&quot;Version 10&quot;</span>,</div>
<div class="line">            <span class="stringliteral">&quot;Created in 2007&quot;</span>,</div>
<div class="line">            <span class="stringliteral">&quot;Design Patterns and Version &lt; 5&quot;</span>,</div>
<div class="line">            <span class="stringliteral">&quot;Computer Science&quot;</span>,</div>
<div class="line">            <span class="stringliteral">&quot;Newest Version Res. 2&quot;</span>,</div>
<div class="line">            <span class="stringliteral">&quot;Experi./Simu. not Anal.&quot;</span>,</div>
<div class="line">            <span class="stringliteral">&quot;Non Comput. Human Consci.&quot;</span>,</div>
<div class="line">            <span class="stringliteral">&quot;Av. s. 03.07.20&quot;</span>,</div>
<div class="line">            <span class="stringliteral">&quot;Left (political)&quot;</span>,</div>
<div class="line">            <span class="stringliteral">&quot;2 Meters&quot;</span>,</div>
<div class="line">            <span class="stringliteral">&quot;Pub. &lt; 2015 Oo. Softw.&quot;</span>,</div>
<div class="line">            <span class="stringliteral">&quot;Pub. T. Pyn. Created 2016 Oo Softw.&quot;</span></div>
<div class="line">        }</div>
</div><!-- fragment -->
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_approach_comparison_8cs.html">ApproachComparison.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
